Package org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPBlockScope

All Superinterfaces:
  `ICPPNamespaceScope`, `ICPPScope`, `IScope`

    public interface ICPPBlockScope
    extends ICPPNamespaceScope

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`IScope.ScopeLookupData`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPNamespaceScope

`EMPTY_NAMESPACE_SCOPE_ARRAY`

### Method Summary

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPNamespaceScope

`addUsingDirective, getInlineNamespaces, getUsingDirectives`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`find, find, getBinding, getBinding, getBindings, getBindings, getBindings, getKind, getParent, getScopeName`